﻿using UnityEngine;
using System.Collections;

public class SimpleBound : MonoBehaviour 
{
	public string 								name;
	
	public enum 								Type
	{
		Sphere,
		Rectangle
	}
	public Type									boundType;
	
	public float 								boundRadius;
	public Vector2								boundRect;
	
	private Transform 							_transform;
	public Transform							ThisTransform
	{
		get
		{
			if ( _transform == null )
			{
				_transform = transform;
			}
			return _transform;
		}
	}
	
#if UNITY_EDITOR
	protected void OnDrawGizmos ()
	{
		Gizmos.color = Color.green;
		switch ( boundType )
		{
		case Type.Sphere:
			Gizmos.DrawWireSphere ( ThisTransform.position, boundRadius );
			break;
			
		case Type.Rectangle:
			Gizmos.DrawWireCube ( ThisTransform.position, new Vector3 ( boundRect.x, boundRect.y, 0 ) );
			break;
		}
	}
#endif
	
	protected void Reset ()
	{
		name = gameObject.name;
	}
}
