﻿using UnityEngine;
using System.Collections;

public class TestScript : MonoBehaviour
{
	private float jumpValue;
	
	private void Jump ()
	{
		Hashtable _jumpHash = new Hashtable ();
		_jumpHash.Add ( "name", "jumpTimer" );
		_jumpHash.Add ( "from", 0f );
		_jumpHash.Add ( "to", 100f );
		_jumpHash.Add ( "time", 1f );
		_jumpHash.Add ( "easetype", iTween.EaseType.easeOutQuad );
		_jumpHash.Add ( "onupdate", "OnJumpUpdate" );
		iTween.ValueTo ( gameObject, _jumpHash );
	}
	
	private void StopJump ()
	{
		iTween.StopByName ( "jumpTimer" );
		jumpValue = 0f;
	}
	
	private void OnJumpUpdate ( float _value )
	{
		jumpValue = _value;
		if ( jumpValue >= 100f )
		{
			StopJump ();
		}
	}
	
	protected void Update ()
	{
		if ( Input.GetKeyDown ( KeyCode.Space ) )
		{
			Jump ();
		}
		else if ( Input.GetKeyUp ( KeyCode.Space ) )
		{
			StopJump ();
		}
		
		Vector3 _pos = transform.position;
		_pos.y = jumpValue;
		transform.position = _pos;
	}
	
}
